Gtk_Statusbar(3)

NAME - Gtk_Statusbar

HEADER REQUIRED
#include <gtk--/statusbar.h&gt;>

BASE CLASSES
Gtk_HBox(3)

PROPERTIES

frame
    Type: Gtk_Widget*

label
    Type: Gtk_Widget*

messages
    Type: GSList*

keys
    Type: GSList*

seq_context_id
    Type: guint

seq_message_id
    Type: guint

     .IP

PUBLIC MEMBER INDEX
    Gtk_Statusbar();
    Gtk_Statusbar(GtkStatusbar *castitem);
    signal void  text_pushed(guint, const gchar*);
    signal void  text_popped(guint, const gchar*);
    guint  get_context_id(const _gtk_string &context_description) const;
    guint  push(guint context_id, const _gtk_string &text);
    void  pop(guint context_id);
    typedef G_SList_Iterator  iterator;
    iterator  messages_begin();
    iterator  messages_end();
    void  remove_message(guint context_id, guint message_id);
    GtkStatusbar*  gtkobj();
    const GtkStatusbar*  gtkobj() const;
    static bool  isGtkStatusbar(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkStatusbar  BaseObjectType;
    typedef GtkStatusbarClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  text_pushed_impl(guint p1, const gchar* p2);
    virtual void  text_popped_impl(guint p1, const gchar* p2);

PRIVATE MEMBER INDEX
    static CppClassType  statusbar_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS